summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2011-12-11 12:27:37 -0200
committer Niels Horn <niels.horn@slackbuilds.org>2011-12-11 12:27:37 -0200
commit8c6534f2ef6f7455e1acafd37d8a3127b4a6bcdf (patch)
tree8201f8d31690203a59f5303822f999ae466acb0c /libraries
parentc1b926ed98a761249dee7f01ab5bc4590b99142b (diff)
downloadslackbuilds-8c6534f2ef6f7455e1acafd37d8a3127b4a6bcdf.tar.gz
slackbuilds-8c6534f2ef6f7455e1acafd37d8a3127b4a6bcdf.tar.xz
libraries/libdbusmenu: Added (DBus Menu library)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libdbusmenu/README6
-rw-r--r--libraries/libdbusmenu/libdbusmenu.SlackBuild91
-rw-r--r--libraries/libdbusmenu/libdbusmenu.info10
-rw-r--r--libraries/libdbusmenu/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/libraries/libdbusmenu/README b/libraries/libdbusmenu/README
new file mode 100644
index 0000000000..74aec01542
--- /dev/null
+++ b/libraries/libdbusmenu/README
@@ -0,0 +1,6 @@
+A small little library that was created by pulling out some common code out
+of indicator-applet. It passes a menu structure across DBus so that a program
+can create a menu simply without worrying about how it is displayed on the
+other side of the bus.
+
+Requires json-glib
diff --git a/libraries/libdbusmenu/libdbusmenu.SlackBuild b/libraries/libdbusmenu/libdbusmenu.SlackBuild
new file mode 100644
index 0000000000..9cceedc04a
--- /dev/null
+++ b/libraries/libdbusmenu/libdbusmenu.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+#
+# Slackware build script for libdbusmenu
+#
+# Copyright 2011 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libdbusmenu
+VERSION=${VERSION:-0.5.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -ue
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --with-gtk=2 \
+ --disable-vala \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING COPYING-GPL3 COPYING.2.1 ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libdbusmenu/libdbusmenu.info b/libraries/libdbusmenu/libdbusmenu.info
new file mode 100644
index 0000000000..40c16c9680
--- /dev/null
+++ b/libraries/libdbusmenu/libdbusmenu.info
@@ -0,0 +1,10 @@
+PRGNAM="libdbusmenu"
+VERSION="0.5.1"
+HOMEPAGE="https://launchpad.net/dbusmenu"
+DOWNLOAD="http://launchpad.net/dbusmenu/0.5/0.5.1/+download/libdbusmenu-0.5.1.tar.gz"
+MD5SUM="9742c8b4e04d99f2d187041272052b53"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="Niels Horn"
diff --git a/libraries/libdbusmenu/slack-desc b/libraries/libdbusmenu/slack-desc
new file mode 100644
index 0000000000..622d6d528b
--- /dev/null
+++ b/libraries/libdbusmenu/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libdbusmenu: libdbusmenu (DBus Menu library)
+libdbusmenu:
+libdbusmenu: A small little library that was created by pulling out some common
+libdbusmenu: code out of indicator-applet. It passes a menu structure across
+libdbusmenu: DBus so that a program can create a menu simply without worrying
+libdbusmenu: about how it is displayed on the other side of the bus.
+libdbusmenu:
+libdbusmenu:
+libdbusmenu:
+libdbusmenu:
+libdbusmenu: